
package jp.co.argo21.nautica.workflow.soap.message;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the jp.co.argo21.nautica.workflow.soap.message package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetUsersByRole_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "getUsersByRole");
    private final static QName _WorkflowException_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "WorkflowException");
    private final static QName _GetAttachedRoles1_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "getAttachedRoles1");
    private final static QName _GetRole_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "getRole");
    private final static QName _GetUsersByRoleResponse_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "getUsersByRoleResponse");
    private final static QName _GetAttachedRoles2_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "getAttachedRoles2");
    private final static QName _GetOrganizationsByRoleResponse_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "getOrganizationsByRoleResponse");
    private final static QName _ServiceAccessorException_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "ServiceAccessorException");
    private final static QName _GetRoleResponse_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "getRoleResponse");
    private final static QName _GetAttachedRolesResponse1_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "getAttachedRolesResponse1");
    private final static QName _GetOrganizationsByRole_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "getOrganizationsByRole");
    private final static QName _GetAttachedRolesResponse2_QNAME = new QName("http://www.argo21.co.jp/nautica/workflow/soap/message", "getAttachedRolesResponse2");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: jp.co.argo21.nautica.workflow.soap.message
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetUsersByRoleResponse }
     * 
     */
    public GetUsersByRoleResponse createGetUsersByRoleResponse() {
        return new GetUsersByRoleResponse();
    }

    /**
     * Create an instance of {@link Organization.Attributes }
     * 
     */
    public Organization.Attributes createOrganizationAttributes() {
        return new Organization.Attributes();
    }

    /**
     * Create an instance of {@link WorkflowException }
     * 
     */
    public WorkflowException createWorkflowException() {
        return new WorkflowException();
    }

    /**
     * Create an instance of {@link User }
     * 
     */
    public User createUser() {
        return new User();
    }

    /**
     * Create an instance of {@link Organization.Attributes.Entry }
     * 
     */
    public Organization.Attributes.Entry createOrganizationAttributesEntry() {
        return new Organization.Attributes.Entry();
    }

    /**
     * Create an instance of {@link GetAttachedRoles2 }
     * 
     */
    public GetAttachedRoles2 createGetAttachedRoles2() {
        return new GetAttachedRoles2();
    }

    /**
     * Create an instance of {@link Organization }
     * 
     */
    public Organization createOrganization() {
        return new Organization();
    }

    /**
     * Create an instance of {@link Role.Attributes.Entry }
     * 
     */
    public Role.Attributes.Entry createRoleAttributesEntry() {
        return new Role.Attributes.Entry();
    }

    /**
     * Create an instance of {@link GetRoleResponse }
     * 
     */
    public GetRoleResponse createGetRoleResponse() {
        return new GetRoleResponse();
    }

    /**
     * Create an instance of {@link GetAttachedRolesResponse1 }
     * 
     */
    public GetAttachedRolesResponse1 createGetAttachedRolesResponse1() {
        return new GetAttachedRolesResponse1();
    }

    /**
     * Create an instance of {@link Role.Attributes }
     * 
     */
    public Role.Attributes createRoleAttributes() {
        return new Role.Attributes();
    }

    /**
     * Create an instance of {@link Role }
     * 
     */
    public Role createRole() {
        return new Role();
    }

    /**
     * Create an instance of {@link GetOrganizationsByRole }
     * 
     */
    public GetOrganizationsByRole createGetOrganizationsByRole() {
        return new GetOrganizationsByRole();
    }

    /**
     * Create an instance of {@link User.Attributes }
     * 
     */
    public User.Attributes createUserAttributes() {
        return new User.Attributes();
    }

    /**
     * Create an instance of {@link GetRole }
     * 
     */
    public GetRole createGetRole() {
        return new GetRole();
    }

    /**
     * Create an instance of {@link ServiceAccessorException }
     * 
     */
    public ServiceAccessorException createServiceAccessorException() {
        return new ServiceAccessorException();
    }

    /**
     * Create an instance of {@link GetAttachedRoles1 }
     * 
     */
    public GetAttachedRoles1 createGetAttachedRoles1() {
        return new GetAttachedRoles1();
    }

    /**
     * Create an instance of {@link User.Attributes.Entry }
     * 
     */
    public User.Attributes.Entry createUserAttributesEntry() {
        return new User.Attributes.Entry();
    }

    /**
     * Create an instance of {@link GetOrganizationsByRoleResponse }
     * 
     */
    public GetOrganizationsByRoleResponse createGetOrganizationsByRoleResponse() {
        return new GetOrganizationsByRoleResponse();
    }

    /**
     * Create an instance of {@link GetAttachedRolesResponse2 }
     * 
     */
    public GetAttachedRolesResponse2 createGetAttachedRolesResponse2() {
        return new GetAttachedRolesResponse2();
    }

    /**
     * Create an instance of {@link GetUsersByRole }
     * 
     */
    public GetUsersByRole createGetUsersByRole() {
        return new GetUsersByRole();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUsersByRole }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "getUsersByRole")
    public JAXBElement<GetUsersByRole> createGetUsersByRole(GetUsersByRole value) {
        return new JAXBElement<GetUsersByRole>(_GetUsersByRole_QNAME, GetUsersByRole.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WorkflowException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "WorkflowException")
    public JAXBElement<WorkflowException> createWorkflowException(WorkflowException value) {
        return new JAXBElement<WorkflowException>(_WorkflowException_QNAME, WorkflowException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAttachedRoles1 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "getAttachedRoles1")
    public JAXBElement<GetAttachedRoles1> createGetAttachedRoles1(GetAttachedRoles1 value) {
        return new JAXBElement<GetAttachedRoles1>(_GetAttachedRoles1_QNAME, GetAttachedRoles1 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRole }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "getRole")
    public JAXBElement<GetRole> createGetRole(GetRole value) {
        return new JAXBElement<GetRole>(_GetRole_QNAME, GetRole.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUsersByRoleResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "getUsersByRoleResponse")
    public JAXBElement<GetUsersByRoleResponse> createGetUsersByRoleResponse(GetUsersByRoleResponse value) {
        return new JAXBElement<GetUsersByRoleResponse>(_GetUsersByRoleResponse_QNAME, GetUsersByRoleResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAttachedRoles2 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "getAttachedRoles2")
    public JAXBElement<GetAttachedRoles2> createGetAttachedRoles2(GetAttachedRoles2 value) {
        return new JAXBElement<GetAttachedRoles2>(_GetAttachedRoles2_QNAME, GetAttachedRoles2 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetOrganizationsByRoleResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "getOrganizationsByRoleResponse")
    public JAXBElement<GetOrganizationsByRoleResponse> createGetOrganizationsByRoleResponse(GetOrganizationsByRoleResponse value) {
        return new JAXBElement<GetOrganizationsByRoleResponse>(_GetOrganizationsByRoleResponse_QNAME, GetOrganizationsByRoleResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceAccessorException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "ServiceAccessorException")
    public JAXBElement<ServiceAccessorException> createServiceAccessorException(ServiceAccessorException value) {
        return new JAXBElement<ServiceAccessorException>(_ServiceAccessorException_QNAME, ServiceAccessorException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRoleResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "getRoleResponse")
    public JAXBElement<GetRoleResponse> createGetRoleResponse(GetRoleResponse value) {
        return new JAXBElement<GetRoleResponse>(_GetRoleResponse_QNAME, GetRoleResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAttachedRolesResponse1 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "getAttachedRolesResponse1")
    public JAXBElement<GetAttachedRolesResponse1> createGetAttachedRolesResponse1(GetAttachedRolesResponse1 value) {
        return new JAXBElement<GetAttachedRolesResponse1>(_GetAttachedRolesResponse1_QNAME, GetAttachedRolesResponse1 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetOrganizationsByRole }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "getOrganizationsByRole")
    public JAXBElement<GetOrganizationsByRole> createGetOrganizationsByRole(GetOrganizationsByRole value) {
        return new JAXBElement<GetOrganizationsByRole>(_GetOrganizationsByRole_QNAME, GetOrganizationsByRole.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAttachedRolesResponse2 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", name = "getAttachedRolesResponse2")
    public JAXBElement<GetAttachedRolesResponse2> createGetAttachedRolesResponse2(GetAttachedRolesResponse2 value) {
        return new JAXBElement<GetAttachedRolesResponse2>(_GetAttachedRolesResponse2_QNAME, GetAttachedRolesResponse2 .class, null, value);
    }

}
